<style type="text/css">

.table {
 border:2px black solid;
 border-radius:10px;
 min-width:100px;
 min-height:100px;
 font-family: Helvetica,Arial;
}

</style>


<script>
 var miPopup

		
		function pagar(idpedido){
			miPopup = window.open("add.php?idpedido=" + idpedido + "","pagar","width=700,height=650,scrollbars=yes");
			miPopup.focus();
		}
</script>
<?php
   //Invocamos o cargamos el escript de conexion
   require_once("../../conf/connection.php");
   
   //Cargamos las variables con los datos proporcionados si existen!
  $patron=stripslashes($_POST["patron"]);
  $opcion=stripslashes($_POST["opcion"]);
  $fecha=date("Y-m-d");
   //Si nos mandaron datos?
   if(isset($patron) && isset($opcion))
   {
	   //Si patron=1 entonces la busqueda sera por la identidad
	   if($opcion==1)
	   {
		   //El asteriscon el la consulta indica todos los campos de la tabla productor
		   //el operador like indica que sera un patron de cadena a buscar
		   //para encontrar una coincidencia!
		   $buscar='select * from pedido where 	idpedido like \'%'.$patron.'%\'  and est=1  and fecha like \'%'.$fecha.'%\'';
		   $r=mysql_query($buscar,$conn) or die("Error en el query: ".mysql_error());
		   $n=mysql_num_rows($r);
		    //si hay registros los procesamos
			if($n>0)
			{
			?>
				<table  width="566" border="0" class="table">
				<tr bgcolor="#69BFE0" >
				<td width="91">N° PEDIDO</td>
				<td width="83">N° MESA</td>
				<td width="138">TOTAL A PAGAR</td>
				<td width="169">FECHA</td>
				 <td width="63">&nbsp;</td>
				 </tr><?
				while($row=mysql_fetch_assoc($r))
				{ //Procesamos cada registro como una fila de tabla
					?>
					<tr><?
					//$row["nomCampo"] estos nomCampo son los campos devueltos por el
					//query en la variable $r que procesa mysql_fetch_assoc
					?>
					 <td><? echo  $row["idpedido"] ?></td>
					 <td><? echo  $row["idmesa"] ?></td>
					 <td align="right"><? echo $row["total_venta"] ?></td>
					 <td align="right"><? echo $row["fecha"] ?> </td>
					 <td align="right"><input type="button" style="border: #000 2px solid; background-color: #D6F888" value="Pagar" onClick="pagar('<? echo $row["idpedido"]; ?>')"></td>
				    </tr>
				<? }?>
				</table><br>
				Resultados!
			<? } 
			else
			{
				echo "No hubieron coincidencias!";
			}
	   }
	   
	  //Si patron=2 entonces la busqueda sera por la nombres
	   if($opcion==2)
	   {
		   //El asteriscon el la consulta indica todos los campos de la tabla productor
		   //el operador like indica que sera un patron de cadena a buscar
		   //para encontrar una coincidencia!
		   $buscar='select * from pedido where 	idmesa like \'%'.$patron.'%\' and est=1  and fecha like \'%'.$fecha.'%\'';
		   $r=mysql_query($buscar,$conn) or die("Error en el query: ".mysql_error());
		   $n=mysql_num_rows($r);
		    //si hay registros los procesamos
			if($n>0)
			{
			?>
			<table  width="566" border="0" class="table">
			  <tr bgcolor="#69BFE0" >
			    <td width="96">N° PEDIDO</td>
			    <td width="95">N° MESA</td>
			    <td width="123">TOTAL A PAGAR</td>
			    <td width="168">FECHA</td>
			    <td width="62">&nbsp;</td>
		      </tr>
			  <?
				while($row=mysql_fetch_assoc($r))
				{ //Procesamos cada registro como una fila de tabla
					?>
			  <tr>
			    <?
					//$row["nomCampo"] estos nomCampo son los campos devueltos por el
					//query en la variable $r que procesa mysql_fetch_assoc
					?>
			    <td><? echo  $row["idpedido"] ?></td>
			    <td><? echo  $row["idmesa"] ?></td>
			    <td align="right"><? echo $row["total_venta"] ?></td>
			    <td align="right"><? echo $row["fecha"] ?></td>
			    <td align="right"><input type="button" style="border: #000 2px solid; background-color: #D6F888" value="Pagar" onClick="pagar('<? echo $row["idpedido"]; ?>')"></td>
		      </tr>
			  <? }?>
</table>
			<br>
				Resultados!
			<? } 
			else
			{
				echo "No hubieron coincidencias!";
			}
	   }
	   
	   //Si patron=3 entonces la busqueda sera por la apellidos
	   if($opcion==3)
	   {
		   $patron=strtoupper($patron);
		   //El asteriscon el la consulta indica todos los campos de la tabla personas
		   //el operador like indica que sera un patron de cadena a buscar
		   //para encontrar una coincidencia!
		   $buscar="select * from clientes where upper(nombre_cliente) like \"%$patron%\"";
		   $r=mysql_query($buscar,$conn) or die("Error en el query: ".mysql_error());
		   $n=mysql_num_rows($r);
		    //si hay registros los procesamos
			if($n>0)
			{
				?>
			<br>
				Resultados!
			<? } 
			else
			{
				echo "No hubieron coincidencias!";
			}
	   }
   }
    else
   {
	   echo "No han sido enviados datos para consultar aun!";
   }
?>